<?php
if (!defined('HUCART_COM')) exit('HuCart.COM No direct script access allowed');
class Address extends HC_Controller
{
	//注意无须构造函数,使用了构造函数得重构父类 parent::__construct();
	var $master_act = 'address';
	var $info_prefix = 'add_';
	function __construct()
	{
		parent::__construct();	
		$this -> load_lang('adminsys/'.$this -> master_act);
		$this -> view -> assign('master_act', $this -> master_act);
		$this -> view -> assign('info_prefix',	$this -> info_prefix);
		$this -> load('admin');
		$this -> admin -> online_admin();
		$this -> load_db();
		$this -> load('helper');     //加载辅助类
		//$this -> load_model('sort'); //加载分类模型
	}


	function info_list(  )
	{
		$keyword 	= $this -> input -> req["keyword"];
		$list_val   = $this -> input -> req["list_val"];
		$list_type  = $this -> input -> req["list_type"];

		$table_arr['where_add'] = '';

		if($keyword!='')
		{ 	
			$table_arr['where_add'] .= " AND ( add_title LIKE  '%".$keyword."%' )";  
		}
		

		$table_arr['order_by']  = 'add_id';
		if($list_val!='' and $list_type =='DESC' )
		{
			$table_arr['order_by'] = $list_val ."  DESC ";
		}elseif($list_val!='' and $list_type =='ASC')
		{
			$table_arr['order_by'] = $list_val." ASC";
		}else{
			$table_arr['order_by'] =  'add_id';
		}

		$this -> load('page',$this->lang['page']);

		//列表字段显示
		$show_arr = array('add_id' => array('th'=>1,'td'=>'id'),'use_name'=> array('th'=>0,'td'=>''),'add_phone'=>array('th'=>1,'td'=>''),'add_mobile'=>array('th'=>1,'td'=>''),'add_name'=>array('th'=>1,'td'=>''),'add_pcdall'=>array('th'=>1,'td'=>''),'add_address'=>array('th'=>1,'td'=>''),'add_email'=>array('th'=>1,'td'=>''),'add_enabled'=>array('th'=>1,'td'=>'arr'));
		
		$field_show = $this -> helper -> get_th_list( $show_arr , $list_val , $list_type ,  $this->lang['field_list'] );

		$table_arr['table']				= $this -> master_act;
		$table_arr['left']['table'] 	= 'users';
		$table_arr['left']['on']		= $this -> db -> prefix.'address.use_id = '.$this -> db -> prefix.'users.use_id ';
		
		$table_arr['prefix'] 	= $this -> db -> prefix;
		$table_arr['field_arr'] = array_keys($show_arr);
		$table_arr['def_where'] = '1';
		$table_arr['group_by']  = '';
		$table_arr['limit_val'] = $this -> page ->get_limit_val();
		
		$re_sql   = $this -> helper -> get_list_sql( $table_arr );

		//var_dump($re_sql);
		
		$info 	  = $this -> db -> select_info( $re_sql['sql_list'] );
		
		$key_arr['add_enabled'] = $this->lang['enabled_arr'];

		$opt = array( 'item_list'=> $this->lang['item_list'], 'edit'=> $this->lang['edit'], 'recycle'=> $this->lang['recycle'] );
		$td_rows  = $this -> helper -> get_td_list( $info , $show_arr ,$key_arr ,$this -> master_act, $opt  );
		
		$count 	  = $this -> db -> select_one( $re_sql['sql_count'] );

		$page_str = $this -> page ->get_admin_page( $count["CNUM"] );
		
		$this -> view -> assign('keyword',		$keyword);

		$this -> view -> assign('list_val',		$list_val);
		$this -> view -> assign('list_type',	$list_type);
		
		$this -> view -> assign('colspan_val',	count($show_arr)+1);
		$this -> view -> assign('field_show',	$field_show);
		$this -> view -> assign('page_str',		$page_str);
		$this -> view -> assign('td_rows',		$td_rows);
		$this -> view -> display('table_list.tpl');
		
	}
	
	
	
	function trash_list(  )
	{
		$keyword 	= $this -> input -> req["keyword"];
		$list_val   = $this -> input -> req["list_val"];
		$list_type  = $this -> input -> req["list_type"];

		$table_arr['where_add'] = '';

		if($keyword!='')
		{ 	
			$table_arr['where_add'] .= " AND ( add_title LIKE  '%".$keyword."%' )";  
		}
		

		$table_arr['order_by']  = 'add_id';
		if($list_val!='' and $list_type =='DESC' )
		{
			$table_arr['order_by'] = $list_val ."  DESC ";
		}elseif($list_val!='' and $list_type =='ASC')
		{
			$table_arr['order_by'] = $list_val." ASC";
		}else{
			$table_arr['order_by'] =  'add_id';
		}

		$this -> load('page',$this->lang['page']);

		//列表字段显示
		$show_arr = array('add_id' => array('th'=>1,'td'=>'id'),'add_title'=> array('th'=>0,'td'=>''),'sort_name'=> array('th'=>1,'td'=>''),'add_file'=> array('th'=>0,'td'=>''),'add_size'=>array('th'=>1,'td'=>''),'add_count'=>array('th'=>1,'td'=>''),'add_view'=>array('th'=>1,'td'=>''),'add_list'=>array('th'=>1,'td'=>''),'add_enabled'=>array('th'=>1,'td'=>'arr'));
		
		$field_show = $this -> helper -> get_th_list( $show_arr , $list_val , $list_type ,  $this->lang['field_list'] );

		$table_arr['table']				= $this -> master_act;
		$table_arr['left']['table'] 	= 'add_sort';
		$table_arr['left']['on']		= $this -> db -> prefix.'address.sort_id = '.$this -> db -> prefix.'add_sort.sort_id ';
		
		$table_arr['prefix'] 	= $this -> db -> prefix;
		$table_arr['field_arr'] = array_keys($show_arr);
		$table_arr['def_where'] = 'add_delete =1';
		$table_arr['group_by']  = '';
		$table_arr['limit_val'] = $this -> page ->get_limit_val();
		
		$re_sql   = $this -> helper -> get_list_sql( $table_arr );

		//var_dump($re_sql);
		
		$info 	  = $this -> db -> select_info( $re_sql['sql_list'] );
		
		$key_arr['add_enabled'] = $this->lang['enabled_arr'];

		$opt = array( 'restore'=> $this->lang['restore'], 'delete'=> $this->lang['delete']);
		
		$td_rows  = $this -> helper -> get_td_list( $info , $show_arr ,$key_arr , $this -> master_act , $opt);
		
		$count 	  = $this -> db -> select_one( $re_sql['sql_count'] );

		$page_str = $this -> page ->get_admin_page( $count["CNUM"] );
		
		$this -> view -> assign('keyword',		$keyword);
		
		$this -> view -> assign('list_val',		$list_val);
		$this -> view -> assign('list_type',	$list_type);
		
		$this -> view -> assign('colspan_val',	count($show_arr)+1);
		$this -> view -> assign('field_show',	$field_show);
		$this -> view -> assign('page_str',		$page_str);
		$this -> view -> assign('td_rows',		$td_rows);
		$this -> view -> display('table_trash.tpl');
		
	}


	function recycle()
	{
		
		$info_id = $infoid = $this -> input ->  get["id"];
		
		$uprec = " UPDATE `".$this -> db -> prefix."address` SET add_delete = 1  WHERE  `add_id` in ( $info_id ) ";
		$this -> db -> query_sql($uprec);
		
		$this -> view ->  assign('info_title',$this->lang['del_success']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');

	}
	
	//还原
	function restore( )
	{
		$infoid = $this -> input ->  delUrl($_REQUEST["id"]);
		
		$uprec = " UPDATE `".$this -> db -> prefix."address` SET add_delete = 0  WHERE  `add_id` in ( $infoid ) ";
		@$this -> db -> query_sql($uprec);
		
		$this -> view ->  assign('info_title',$_LANG['bd_restoresusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=trash_list");
		$this -> view ->  display('suggestion.tpl');
	}
	

	function delete( )
	{
		$infoid = $this -> input ->  get["id"];
		$insertip = " DELETE FROM `".$this -> db -> prefix."address` WHERE `add_id` in ( $infoid ) ";

		$this -> db -> query_sql($insertip);
		$this -> view ->  assign('info_title',$this->lang['del_success']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=trash_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	
	function show( )
	{
		$info_id = $this -> input ->  get["id"];
		$upshow = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET add_enabled = 1  WHERE `add_id` in ( $info_id ) ";

		$this -> db -> query_sql($upshow);
		$this -> view ->  assign('info_title',$_LANG['bd_showsusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	function hide( )
	{
		//$indel = implode(',', $delArray);
		$info_id = $this -> input ->  get["id"];
		
		$up_hide = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET add_enabled = 0  WHERE  `add_id` in ( $info_id ) ";
		$this -> db -> query_sql($up_hide);
		
		$this -> view ->  assign('info_title',$_LANG['bd_hidesusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	
	function info(  )
	{
		$act_type 	= $this -> input -> get["act_type"];
		
		if($act_type=='edit'){
			
			$id_val = $this -> input ->  get["id"];

			$sql_query = " SELECT *  FROM  ".$this -> db -> prefix.$this -> master_act."  WHERE add_id = '".$id_val."' ORDER BY `add_id` ";
			$info = $this -> db -> select_one($sql_query);


			
			$this -> view -> assign('txt_title',  $this->lang['edit_title']);
			$this -> view -> assign('edit_submit', $this->lang['edit']);
			$this -> view -> assign('info',$info);
			$this -> view -> assign('act_type',$act_type);
			$this -> view -> assign('sort_select_str',$sort_select_str);
			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=edit");
			
			
		}else{
			
		    //添加信息
			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=add");
			
			$this -> view -> assign('act_type',$act_type);
			$this -> view -> assign('txt_title',$this->lang['add_title']);
			$this -> view -> assign('edit_submit', $this-> lang['add']);
			
		}

		$this -> view ->  display('address_edit.tpl');
	
	}
	
	
	function edit_info( )
	{	
	
		$add_idval 		= $this -> input ->  funpost("add_id");
		$add_titleval 	= $this -> input ->  funpost("add_title");
		$sort_idval 	= $this -> input ->  funpost("sort_id");
		$add_fileval 	= $this -> input ->  funpost("add_file");
	    $add_imgeval 	= $this -> input ->  funpost("add_imge");
		$add_sizeval 	= $this -> input ->  funpost("add_size");
		$add_descval 	= html_entity_decode($_POST["add_desc"]);
		$add_listval 	= $this -> input ->  funpost("add_list");
		$add_enabledval = $this -> input ->  funpost("add_enabled");
		
		$act_type = $this -> input ->  req["act_type"];

		if($act_type=='edit')
		{

		
			if($add_titleval !='' and $add_fileval !='' and $add_sizeval !=''  and $add_idval !='')
			{
				$updateaddress = "UPDATE `".$this -> db -> prefix.$this -> master_act."` SET  add_title = '".$add_titleval."' ,  sort_id = '".$sort_idval."' ,add_file = '".$add_fileval."' , add_img = '".$add_imgval."' , add_size = '".$add_sizeval."', add_desc = '".$add_descval."', add_list = '".$add_listval."',add_enabled = '".$add_enabledval."'  WHERE  add_id = '".$add_idval."' ";
				
				$this -> db -> query_sql( $updateaddress );
				
				$this -> view ->  assign('info_title',$this->lang['edit_success']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
				$this -> view ->  display('suggestion.tpl');
	
		
			}else{
			
				$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&id=".$add_idval);
				$this -> view ->  display('suggestion.tpl');	
			}
		

		}else{
			
				if($add_titleval !='' and $add_fileval !='' and $add_sizeval !='')
				{
					$sql_query = " SELECT count(1) as LNUM  FROM  ".$this -> db -> prefix."address  WHERE add_title = '".$add_titleval."' ORDER BY `add_id` ";
					$info = $this -> db -> select_one($sql_query);
					
					if( $info["LNUM"] < 1 )
					{
						$add_add_timeval = time();
						$insertip =" INSERT INTO `".$this -> db -> prefix."address` (`add_title` , `sort_id` , `add_file` ,  `add_img` ,`add_size` , `add_desc` ,`add_list` , `add_enabled`,`add_add_time` ) VALUES (  '$add_titleval','$sort_idval', '$add_fileval', '$add_imgeval','$add_sizeval','$add_descval',  '$add_listval', '$add_enabledval','$add_add_timeval')";
						
						$this -> db -> query_sql($insertip);
						$this -> view ->  assign('info_title',$this->lang['add_success']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
						$this -> view ->  display('suggestion.tpl');	
					}else{
						
						$this -> view ->  assign('info_title',$this->lang['err_info_exist']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
						$this -> view ->  display('suggestion.tpl');	
					}
					
				}else{
					
					$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
					$this -> view ->  assign('URL_TIME',URL_TIME);
					$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
					$this -> view ->  display('suggestion.tpl');
				}
		}
		
	}
	


		
}

